package com.jxy.marketall.mapper;

import com.jxy.common.datasource.annotation.NDAQDB;
import com.jxy.marketall.dto.NDAQMaDto;
import com.jxy.marketall.dto.NDAQOHLCDto;
import com.jxy.marketall.vo.QueryVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description TODO
 * @Date 2022/8/30 17:47
 * @Author 杜懿
 */
@NDAQDB
public interface NDAQMapper {

    public NDAQOHLCDto findLastOHLC();

    public NDAQMaDto findLastMa();

    public List<NDAQOHLCDto> getOHLCList(@Param("vo") QueryVo vo);

    public List<NDAQMaDto> getMaList(@Param("vo") QueryVo vo);

}
